<div class="wrapper">
  <table mat-table [dataSource]="authors" class="mat-elevation-z8 mt-2">
      <ng-container matColumnDef="id">
        <th mat-header-cell *matHeaderCellDef> ID </th>
        <td mat-cell *matCellDef="let element"> {{element.id}} </td>
      </ng-container>
  
  
      <ng-container matColumnDef="first_name">
        <th mat-header-cell *matHeaderCellDef> First Name </th>
        <td mat-cell *matCellDef="let element"> {{element.first_name}} </td>
      </ng-container>
  
  
      <ng-container matColumnDef="last_name">
        <th mat-header-cell *matHeaderCellDef> Last Name </th>
        <td mat-cell *matCellDef="let element"> {{element.last_name}} </td>
      </ng-container>
  
      <ng-container matColumnDef="actions">
        <th mat-header-cell *matHeaderCellDef>Actions</th>
        <td mat-cell *matCellDef="let element">
          <button mat-flat-button color="primary">edit</button>
          <button class="second-btn" mat-flat-button color="warn">delete</button>
        </td>
      </ng-container>
  
      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
    </table>
  </div>  
    <app-pagination (currentPage)="changePage($event)" [page]="meta.page" [pages]="meta.pages">
    </app-pagination>
  
  
